//MyWriter.java

import java.io.*;

/**
 * A general purpose file writer, here used to generate the log file
 * in log/
 *
 * @author Pietro Terna
 */
public class MyWriter
{
    public File fileOut;
    public FileWriter out;

    /** the constructor, opening the file */
    public MyWriter(String fileName) throws IOException
    {
	fileOut = new File(fileName);
	out = new FileWriter(fileOut);
    }

    public void write(String s) throws IOException
    {
	out.write(s);
    }

    public void close() throws IOException
    {
	out.close();
    }

}
